Subject: bug#66149: Mistyping a search breaks keyboard macro

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Sep 2023 11:36:15 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 23 Sep 2023 11:01:32 +0300
> 
> On Sat, 2023-09-23 at 11:00 +0300, Eli Zaretskii wrote:
> > > From: Konstantin Kharlamov <[email-masked]>
> > > Cc: [email-masked]
> > > Date: Sat, 23 Sep 2023 10:14:59 +0300
> > > 
> > > On Fri, 2023-09-22 at 18:41 +0300, Juri Linkov wrote:
> > > > > 
> > > > I have no opinion whether 'ding' should terminate kbd macro or
> > > > not.
> > > > But it's possible to customize 'isearch-wrap-pause' to 'no-ding'
> > > > to not ding on isearch failure, then kbd macro is not terminated.
> > > 
> > > Oh, thank you! So for example, having the following code in the
> > > init
> > > file works around the problem:
> > > 
> > >     (defadvice kmacro-call-macro (around align-regexp-with-spaces
> > > activate)
> > >       (let ((isearch-wrap-pause 'no-ding))
> > >         ad-do-it))
> > > 
> > > I'll post an answer about that on the emacs.stackexchange then.
> > 
> > And I'm closing the bug.
>  
> Why? The problem is still relevant. A workaround is not a fix.

because the motivation to make any such changes is now even lower than
it was before, and I don't want to keep bugs open when nothing is
being done for them, nor ever will be.

I'm okay with reopening for some limited time, but we should then say
in advance when it will be closed if no progress is made.

But maybe Stefan (CC'ed) thinks differently?